
Redmine - Defect #9836

403 when trying to view issues

2011-12-18 19:08 - Kaspar Fischer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.2

Description

Dear all,

I have a fresh installation of Redmine,

Redmine 1.2.2.stable (MySQL)

Default administrator account changed    (ok)

Attachments directory writable     (ok)

Plugin assets directory writable (ok)

RMagick available (optional) (no)

 and am trying to access the URL https://mydomain.com/issues (I am pointed to this URL by the "View all issues" link on the Projects

page). This results in a "You are not authorized to access this page." error message and the following in the log file:

Processing IssuesController#index (for MyPI at 2011-12-18 12:06:27) [GET]

  Parameters: {"action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering common/error (403)

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 76ms (View: 74, DB: 0) | 403 Forbidden [https://mydomain.com/issues]

 I am logged in as administrator.

Does anybody have any idea what the problem might be?

Thanks,

Kaspar

History

#1 - 2011-12-19 09:39 - Etienne Massip

Maybe you have no public projects and administrator user does is not a member of any project or is member with a role that don't have the 'View

issues' permission?

#2 - 2011-12-19 14:51 - Kaspar Fischer

Etienne Massip wrote:

Maybe you have no public projects and administrator user does is not a member of any project or is member with a role that don't have the 'View

issues' permission?

 Etienne, thanks for your answer and the tips. My project is public and the administrator is a member (Manager, Developer, and Reporter) of the

project. I verified that all roles have the 'View Issues' permission. - No luck.

What helped was reinstalling Redmine.

Thanks anyway!

#3 - 2011-12-19 14:52 - Kaspar Fischer

- Status changed from New to Resolved

- % Done changed from 0 to 100
#4 - 2011-12-19 14:53 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
